org.apache.ignite.internal.management.kill

## Class KillSnapshotCommand

- java.lang.Object
- - org.apache.ignite.internal.management.kill.KillSnapshotCommand

All Implemented Interfaces:
  Command<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>, ComputeCommand<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>

    public class KillSnapshotCommand
    extends Object
    implements ComputeCommand<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`KillSnapshotCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<KillSnapshotCommandArg>` `argClass()`
`String` `description()` Command description.
`Class<SnapshotCancelTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes, printResult`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### KillSnapshotCommand

    public KillSnapshotCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>`

#### argClass

    public Class<KillSnapshotCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>`
Returns:
  Arguments class.

#### taskClass

    public Class<SnapshotCancelTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult>`
Returns:
  Task class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023